// RunUO 2.0 Venus Düzenlemesi <admin@venus.gen.tr>

using System;
using Server;
using Server.Items;

namespace Server.Items
{
	public class MageReg : Bag
	{
		[Constructable]
		public MageReg()
		{
			Name = "50'lik Mage Regleri";
			Hue = 1157;
			int amount = 50;
			DropItem( new BlackPearl   ( amount ) );
			DropItem( new Bloodmoss    ( amount ) );
			DropItem( new Garlic       ( amount ) );
			DropItem( new Ginseng      ( amount ) );
			DropItem( new MandrakeRoot ( amount ) );
			DropItem( new Nightshade   ( amount ) );
			DropItem( new SulfurousAsh ( amount ) );
			DropItem( new SpidersSilk  ( amount ) );
		}
		public MageReg( Serial serial ) : base( serial )
		{
		}
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 ); // version
		}
		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
	public class NecroReg : Bag
	{
		[Constructable]
		public NecroReg()
		{
			Name = "50'lik Necro Regleri";
			Hue = 1155;
			int amount = 50;
			DropItem( new BatWing      ( amount ) );
			DropItem( new GraveDust    ( amount ) );
			DropItem( new DaemonBlood  ( amount ) );
			DropItem( new NoxCrystal   ( amount ) );
			DropItem( new PigIron      ( amount ) );
		}
		public NecroReg( Serial serial ) : base( serial )
		{
		}
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 ); // version
		}
		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
	public class AllReg : Bag
	{
		[Constructable]
		public AllReg()
		{
			Name = "50'lik Tüm Regler";
			Hue = 1156;
			int amount = 50;
			DropItem( new BlackPearl   ( amount ) );
			DropItem( new Bloodmoss    ( amount ) );
			DropItem( new Garlic       ( amount ) );
			DropItem( new Ginseng      ( amount ) );
			DropItem( new MandrakeRoot ( amount ) );
			DropItem( new Nightshade   ( amount ) );
			DropItem( new SulfurousAsh ( amount ) );
			DropItem( new SpidersSilk  ( amount ) );
			DropItem( new BatWing      ( amount ) );
			DropItem( new GraveDust    ( amount ) );
			DropItem( new DaemonBlood  ( amount ) );
			DropItem( new NoxCrystal   ( amount ) );
			DropItem( new PigIron      ( amount ) );
		}
		public AllReg( Serial serial ) : base( serial )
		{
		}
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 ); // version
		}
		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}